RegionType (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.cache.configuration

## Enum RegionType

- java.lang.Object
- - java.lang.Enum<RegionType>
  - - org.apache.geode.cache.configuration.RegionType

- All Implemented Interfaces:
    Serializable, Comparable<RegionType>

      @Experimental
      public enum RegionType
      extends Enum<RegionType>

  these are the region types supported by Cluster Management V2 API. The attributes of these region types are the same as their namesakes in RegionShortcut

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARTITION`
    `PARTITION_HEAP_LRU`
    `PARTITION_OVERFLOW`
    `PARTITION_PERSISTENT`
    `PARTITION_PERSISTENT_OVERFLOW`
    `PARTITION_PROXY`
    `PARTITION_PROXY_REDUNDANT`
    `PARTITION_REDUNDANT`
    `PARTITION_REDUNDANT_HEAP_LRU`
    `PARTITION_REDUNDANT_OVERFLOW`
    `PARTITION_REDUNDANT_PERSISTENT`
    `PARTITION_REDUNDANT_PERSISTENT_OVERFLOW`
    `REPLICATE`
    `REPLICATE_HEAP_LRU`
    `REPLICATE_OVERFLOW`
    `REPLICATE_PERSISTENT`
    `REPLICATE_PERSISTENT_OVERFLOW`
    `REPLICATE_PROXY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RegionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARTITION

          public static final RegionType PARTITION

    - #### PARTITION_REDUNDANT

          public static final RegionType PARTITION_REDUNDANT

    - #### PARTITION_PERSISTENT

          public static final RegionType PARTITION_PERSISTENT

    - #### PARTITION_REDUNDANT_PERSISTENT

          public static final RegionType PARTITION_REDUNDANT_PERSISTENT

    - #### PARTITION_OVERFLOW

          public static final RegionType PARTITION_OVERFLOW

    - #### PARTITION_REDUNDANT_OVERFLOW

          public static final RegionType PARTITION_REDUNDANT_OVERFLOW

    - #### PARTITION_PERSISTENT_OVERFLOW

          public static final RegionType PARTITION_PERSISTENT_OVERFLOW

    - #### PARTITION_REDUNDANT_PERSISTENT_OVERFLOW

          public static final RegionType PARTITION_REDUNDANT_PERSISTENT_OVERFLOW

    - #### PARTITION_HEAP_LRU

          public static final RegionType PARTITION_HEAP_LRU

    - #### PARTITION_REDUNDANT_HEAP_LRU

          public static final RegionType PARTITION_REDUNDANT_HEAP_LRU

    - #### PARTITION_PROXY

          public static final RegionType PARTITION_PROXY

    - #### PARTITION_PROXY_REDUNDANT

          public static final RegionType PARTITION_PROXY_REDUNDANT

    - #### REPLICATE

          public static final RegionType REPLICATE

    - #### REPLICATE_PERSISTENT

          public static final RegionType REPLICATE_PERSISTENT

    - #### REPLICATE_OVERFLOW

          public static final RegionType REPLICATE_OVERFLOW

    - #### REPLICATE_PERSISTENT_OVERFLOW

          public static final RegionType REPLICATE_PERSISTENT_OVERFLOW

    - #### REPLICATE_HEAP_LRU

          public static final RegionType REPLICATE_HEAP_LRU

    - #### REPLICATE_PROXY

          public static final RegionType REPLICATE_PROXY

  - ### Method Detail

    - #### values

          public static RegionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionType c : RegionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null